Try our new Setup Skill to automatically integrate Hyperspell into your project
curl --request POST \
--url https://api.hyperspell.com/context-documents/tree/{tree_id}/publish \
--header 'Authorization: Bearer <token>'{
"tree_id": "<string>",
"status": "<string>",
"version": 123,
"files": [
{
"path": "<string>",
"content": "<string>",
"tier": "<string>",
"team": "<string>",
"updated_at": "<string>"
}
],
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"meta": {}
}Publish a draft tree, making it available to the sync daemon.
Only DRAFT trees can be published. Once published, the daemon will pick it up on its next poll.
curl --request POST \
--url https://api.hyperspell.com/context-documents/tree/{tree_id}/publish \
--header 'Authorization: Bearer <token>'{
"tree_id": "<string>",
"status": "<string>",
"version": 123,
"files": [
{
"path": "<string>",
"content": "<string>",
"tier": "<string>",
"team": "<string>",
"updated_at": "<string>"
}
],
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"meta": {}
}API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Was this page helpful?